Package twisted :: Package internet :: Module protocol :: Class ConnectedDatagramProtocol

[frames | no frames]

## Class ConnectedDatagramProtocol

    AbstractDatagramProtocol --+
                               |
                DatagramProtocol --+
                                   |
                                  ConnectedDatagramProtocol

Protocol for connected datagram-oriented transport.

No longer necessary for UDP.

Method Summary
| ``connectionFailed`(self, failure)` Called if connecting failed.
| ``datagramReceived`(self, datagram)` Called when a datagram is received.
Inherited from DatagramProtocol
| ``connectionRefused`(self)` Called due to error from write in connected mode.
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
Inherited from AbstractDatagramProtocol
`int` | `noisy` = 1
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Method Details

### connectionFailed(self, failure)

Called if connecting failed.

Usually this will be due to a DNS lookup failure.

### datagramReceived(self, datagram)

Called when a datagram is received.

  Parameters:
    `datagram` - the string received from the transport.
  Overrides:
    `twisted.internet.protocol.AbstractDatagramProtocol.datagramReceived`

Generated by Epydoc 2.0 on Sat May 15 20:08:05 2004 | http://epydoc.sf.net